package com.vanheusden.pfa;

import java.io.*;
import java.util.*;

class BrainFirstMove extends Brain {
	BrainFirstMove() throws Exception {
		super(null, 0, 1, 1, null, false);

		io = new IO_logonly();

		r.setSeed(System.currentTimeMillis());
	}

	void destructor() throws IOException {
		super.destructor();
	}

	public MoveResult calculateMove(final int moveNr, final Scene scene, final int endDepth, final PlayerColor myColor, final Map<Long, Board> history, final long maxDuration, final int maxExtension, final Move lastMove, final boolean isPonder) throws IOException, InterruptedException {
		scene.createMoveList(myColor);
		scene.validateMoves(myColor);

		List<Move> moves = scene.getMoveList(myColor);

		if (moves.size() == 0)
			return null;

		return new MoveResult(calcShannonValue(scene, myColor), 1, moves.get(0), "CALC");
	}
}
